Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.reporting
[Groovy] Class GraphNode

    java.lang.Object
      org.codehaus.groovy.grails.resolve.reporting.GraphNode

    class GraphNode
    extends java.lang.Object

A node in a dependency graph

Since:
  2.3

Property Summary
`java.util.Collection` | `children`
`Dependency` | `dependency`
`java.lang.Boolean` | `resolved`

Constructor Summary
`GraphNode(Dependency dependency)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### children

    java.util.Collection children

### dependency

    Dependency dependency

### resolved

    java.lang.Boolean resolved

Constructor Detail

### GraphNode

    GraphNode(Dependency dependency)

Method Detail

### toString

    @java.lang.Override
    java.lang.String toString()

Groovy Documentation